summaryrefslogtreecommitdiff
path: root/config/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2011-03-04 00:18:40 +0100
committerAndreas Loibl <andreas@andreas-loibl.de>2011-03-04 00:18:40 +0100
commitc7965bfd207b8ae3f4f563f6eceec00734f7bafc (patch)
treef02237243476ae031cf3f21029ef048ae3b5e039 /config/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect
parent7ca499d0effeec3119587f68bdd5e33e97367c1d (diff)
downloadkanotix-c7965bfd207b8ae3f4f563f6eceec00734f7bafc.zip
kanotix-c7965bfd207b8ae3f4f563f6eceec00734f7bafc.tar.gz
pcidetect + gfxoverlay
Diffstat (limited to 'config/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect')
-rwxr-xr-xconfig/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect24
1 files changed, 24 insertions, 0 deletions
diff --git a/config/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect b/config/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect
new file mode 100755
index 0000000..0af110b
--- /dev/null
+++ b/config/chroot_local-includes/usr/share/initramfs-tools/hooks/pcidetect
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+PREREQ=""
+
+prereqs()
+{
+ echo "${PREREQ}"
+}
+
+case "${1}" in
+ prereqs)
+ prereqs
+ exit 0
+ ;;
+esac
+
+. /usr/share/initramfs-tools/hook-functions
+
+copy_exec /lib/libresolv* /lib
+copy_exec /usr/lib/libpci.so.* /lib
+copy_exec /usr/bin/lspci /bin
+